#tag Module
Protected Module LDS_FolderItem_Extensions
	#tag Method, Flags = &h0
		Function Extension(extends fi as FolderItem) As string
		  if(fi.IsFolder) then return ""
		  var dotCount as integer = fi.name.CountFields(".")
		  return fi.name.NthField(".",dotCount)
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function LastChildIndex(extends fi as FolderItem) As integer
		  return fi.count-1
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function ShortName(extends fi as FolderItem) As string
		  if(fi.IsFolder) then return ""
		  
		  var fullName as string = fi.name
		  var nameLength as integer = fullName.Length
		  var dotCount as integer = fi.name.CountFields(".")
		  var extLen as integer=1+fullName.NthField(".",dotCount).length
		  
		  if(dotCount<=1) then extLen = 0
		  return fullname.left(nameLength-extLen)
		  
		  
		End Function
	#tag EndMethod


	#tag Note, Name = Revision History
		October 16, 2022 - Initial implementation
		
	#tag EndNote


	#tag ViewBehavior
		#tag ViewProperty
			Name="Name"
			Visible=true
			Group="ID"
			InitialValue=""
			Type="String"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Index"
			Visible=true
			Group="ID"
			InitialValue="-2147483648"
			Type="Integer"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Super"
			Visible=true
			Group="ID"
			InitialValue=""
			Type="String"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Left"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
			EditorType=""
		#tag EndViewProperty
		#tag ViewProperty
			Name="Top"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
			EditorType=""
		#tag EndViewProperty
	#tag EndViewBehavior
End Module
#tag EndModule
